%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%define major_version 0.4
%define minor_version 20
Name:           clive
Version:        %{major_version}.%{minor_version}
Release:        1%{?dist}
Summary:        Video extraction tool for user-uploaded video hosts

Group:          Applications/Multimedia
License:        GPLv3+
URL:            http://home.gna.org/%{name}/
Source0:        http://download.gna.org/%{name}/%{major_version}/src/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
Requires:       newt-python
Requires:       xclip
Requires:       python-feedparser
Requires:       python-urlgrabber

%description
clive is a video extraction tool for user-uploaded video hosts such as Youtube,
Google Video, Dailymotion, Guba, Metacafe and Sevenload.
It can be chained with 3rd party tools for subsequent video
re-encoding and and playing.

%prep
%setup -q


%build
%configure --with-installed-urlgrabber --with-installed-feedparser --with-installed-newt
make


%install
rm -rf $RPM_BUILD_ROOT
# used to have lib64 on x86_64 instead of lib
sed -i -e s@"\${exec_prefix}/lib/python2.5/site-packages"@$RPM_BUILD_ROOT/%{python_sitelib}@ Makefile
sed -i -e s@"\${prefix}/lib/python2.5/site-packages"@$RPM_BUILD_ROOT/%{python_sitelib}@ Makefile
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING INSTALL README TODO ChangeLog NEWS
%dir %{python_sitelib}/%{name}
%{_bindir}/%{name}
%{python_sitelib}/%{name}/*.py
%{python_sitelib}/%{name}/*.pyc
%{python_sitelib}/%{name}/*.pyo
%{_mandir}/man?/%{name}*


%changelog
* Wed Jul 30 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.4.20-1
- rebuild for 0.4.20
- licence is now GPLv3+
* Wed Jul 23 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.4.19-1
- rebuild for 0.4.19
* Wed Jul 16 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.4.18-1
- rebuild for 0.4.18
* Sun Jun 29 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.4.17-1
- rebuild for 0.4.17
* Fri Jun 27 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.4.16-3
- non-macro usage for commands
* Wed Jun 25 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.4.16-2
- Licence updated
- smp_mflags removed
* Sat Jun 21 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.4.16-1
- Rebuild for 0.4.16 version
* Tue Jun 10 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.4.14-3
- add sed to use python_sitelib for Makefile
* Mon Jun  9 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.4.14-2
- Removed ffmpeg dependancy
* Sun Jun  8 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.4.14-1
- Initial build

